//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CofFIME.Models.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class Platillos
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Platillos()
        {
            this.Pedidos = new HashSet<Pedidos>();
        }
    
        public int Id_plat { get; set; }
        public string Nom_plat { get; set; }
        public int Cant_plat { get; set; }
        public string Tipo_plat { get; set; }
        public double Pre_plat { get; set; }
        public string Desc_plat { get; set; }
        public Nullable<int> IdFacu_plat { get; set; }
    
        public virtual Facultades Facultades { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Pedidos> Pedidos { get; set; }
    }
}
